Main Page Widgets Namespaces Book

# Gtk::MenuBar Class Reference
[Widgets, Menu classes]

Inheritance diagram for Gtk::MenuBar:

[legend]
List of all members.

## Detailed Description

A standard menu bar which usually holds Gtk::Menu submenu items.

The useful methods are in the base class - Gtk::MenuShell.

## Public Member Functions
virtual | ~MenuBar ()
GtkMenuBar* | gobj ()
| Provides access to the underlying C GtkObject.
const GtkMenuBar* | gobj () const
| Provides access to the underlying C GtkObject.
| MenuBar ()
## Related Functions
(Note that these are not member functions.)
Gtk::MenuBar* | wrap (GtkMenuBar* object, bool take_copy=false)

## Constructor & Destructor Documentation

virtual Gtk::MenuBar::~MenuBar | ( |  | ) | `[virtual]`

Gtk::MenuBar::MenuBar | ( |  | ) |

## Member Function Documentation

const GtkMenuBar* Gtk::MenuBar::gobj | ( |  | ) | const`[inline]`

| Provides access to the underlying C GtkObject. Reimplemented from Gtk::MenuShell.

GtkMenuBar* Gtk::MenuBar::gobj | ( |  | ) | `[inline]`

| Provides access to the underlying C GtkObject. Reimplemented from Gtk::MenuShell.

## Friends And Related Function Documentation

Gtk::MenuBar* wrap | ( | GtkMenuBar* | object,
|  | bool | take_copy = false
| ) | `[related]`

The documentation for this class was generated from the following file:

- menubar.h